Skip to content

Listing Consultations

List the consultations belonging to a job in your workspace.

The list consultations endpoint allows you to retrieve a paginated list of the consultations for a job in your workspace.

The list includes cancelled, incomplete, and completed consultations, so it is the job's full consultation history. By default, consultations are returned from newest to oldest.

Endpoint

MethodUrl
GET/v1.0/jobs/{job_id}/consultations

Url Parameters

job_id
•
string

The job's ID.

Request Parameters

page_size
•
number

The page size for result pagination. If not provided, the service will default to 50 items. At most 100 items are returned per page.

page_token
•
string

The page to fetch. If any, this would be the next_page_token value returned from the previous request.

order_by
•
string

The order in which to return results, in the format {field} {direction} — for example, create_time asc. Only the create_time field is supported. Defaults to create_time desc (newest first).

Sample Request

bash
Copied
1curl -X GET 'https://api.worklayer.com/v1.0/jobs/3c61734c-760b-4458-baf9-136b4de74bed/consultations' \
2-H 'Authorization: Bearer {token}'

Response

data
•
list

The consultations belonging to that job. See the consultation resource page.

next_page_token
•
string

The pagination token to retrieve the next page of results. If the value is null, there are no further results for the request.

Sample Response

json
Copied
1{
2 "data": [
3 {
4 "id": "552d953e-14f4-40fb-9e16-b1cef0c0a132",
5 "job_id": "3c61734c-760b-4458-baf9-136b4de74bed",
6 "status": "IN_PROGRESS",
7 "requested_minutes": 15,
8 "skip_scheduling": false,
9 "availabilities": [
10 {
11 "times": [
12 {
13 "start_time": "2026-10-09T14:45:00Z",
14 "end_time": "2026-10-09T15:00:00Z"
15 },
16 {
17 "start_time": "2026-10-09T15:15:00Z",
18 "end_time": "2026-10-09T15:30:00Z"
19 },
20 {
21 "start_time": "2026-10-09T17:15:00Z",
22 "end_time": "2026-10-09T17:30:00Z"
23 }
24 ],
25 "create_time": "2026-10-08T21:25:10.8335185Z",
26 "booked_interval_time": {
27 "start_time": "2026-10-09T15:15:00Z",
28 "end_time": "2026-10-09T15:30:00Z"
29 },
30 "booked_time": "2026-10-08T21:25:47.7569304Z",
31 "booked_by_user_id": "37720d0b-dc35-5784-9444-e99fb01c11ba"
32 },
33 {
34 "times": [
35 {
36 "start_time": "2026-10-09T12:15:00Z",
37 "end_time": "2026-10-09T12:30:00Z"
38 },
39 {
40 "start_time": "2026-10-09T12:30:00Z",
41 "end_time": "2026-10-09T12:45:00Z"
42 },
43 {
44 "start_time": "2026-10-09T12:45:00Z",
45 "end_time": "2026-10-09T13:00:00Z"
46 }
47 ],
48 "create_time": "2026-10-08T21:27:13.6659498Z",
49 "booked_interval_time": {
50 "start_time": "2026-10-09T12:45:00Z",
51 "end_time": "2026-10-09T13:00:00Z"
52 },
53 "booked_time": "2026-10-08T21:28:03.8683181Z",
54 "booked_by_user_id": "37720d0b-dc35-5784-9444-e99fb01c11ba"
55 }
56 ],
57 "client_user_id": "268aa049-5402-4757-9101-cbb20592e18e",
58 "create_time": "2026-10-08T21:20:51.28793Z",
59 "complete_time": null,
60 "cancel_time": null,
61 "cancel_reason": null,
62 "incomplete_reason": null,
63 "incomplete_reason_other_text": null,
64 "incomplete_at": null
65 }
66 ],
67 "next_page_token": "NTUyZDk1M2UtMTRmNC00MGZiLTllMTYtYjFjZWYwYzBhMTMyLDIwMjYtMTAtMDhUMjElM2EyMCUzYTUxLjI4NzkzMDAlMmIwMCUzYTAw"
68}

Errors

  1. Forbidden: API Client cannot view the job.
  2. Unauthorized: API Client does not have valid credentials.
  3. BadRequest: Either the pagination options are in an incorrect format, or there was a malformed request.
  4. NotFound: The job was not found.

Last updated on October 8, 2026